Tin An Ninh Mạng

Lỗi trên Sudo cho phép người dùng Linux và macOS không có đặc quyền chạy các lệnh dưới quyền root

hacker 22
Chuyên gia Joe Vennix của Apple đã tìm thấy một lỗ hổng trong tiện ích Sudo có thể cho phép người dùng không có đặc quyền hoặc các chương trình độc hại thực thi các lệnh tùy ý với các quyền quản trị (‘root’) trên các hệ thống Linux hoặc macOS.
Sudo là một trong những tiện ích quan trọng thường được sử dụng như một lệnh lõi được cài đặt sẵn trên macOS và hầu hết mọi hệ điều hành dựa trên UNIX hoặc Linux.

{

}

sudo-linux-vulnerability.jpg

Sudo được thiết kế để cho phép người dùng chạy các ứng dụng hoặc lệnh với các đặc quyền của người dùng khác mà không cần chuyển đổi môi trường.
Lỗ hổng Sudo (CVE-2019-18634)
Lỗ hổng leo thang đặc quyền mới, CVE-2019-18634, có nguyên nhân từ một lỗi tràn bộ đệm ngăn xếp (stack-based buffer overflow) trong các phiên bản Sudo trước 1.8.26.
Theo Vennix, lỗ hổng chỉ có thể được khai thác khi tùy chọn “pwfeedback” được bật trong file cấu hình sudoers, một tính năng cung cấp phản hồi trực quan khi người dùng nhập mật khẩu trong thiết bị đầu cuối.
Cần lưu ý, tính năng pwfeedback không được bật mặc định trong các luồng dữ liệu của Sudo hoặc nhiều gói khác. Tuy nhiên, một số bản phân phối Linux, chẳng hạn như Linux Mint và Elementary OS thì tính năng này được bật mặc định trong tệp sudoers.

sudo-linux-vulnerability.jpg

Bên cạnh đó, khi pwfeedback được bật, lỗ hổng có thể bị khai thác bởi bất kỳ người dùng nào, ngay cả khi không có quyền sudo.
Kiểm tra lỗi và áp dụng các bản vá
Người dùng có thể kiểm tra thiết bị của mình bằng cách chạy lệnh “sudo -l” trên thiết bị đầu cuối Linux hoặc macOS để tìm xem liệu tùy chọn “pwfeedback” có được bật hay không
Nếu được bật, bạn có thể vô hiệu hóa thành phần có lỗ hổng bằng cách thay đổi “Defaults pwfeedback” thành “Defaults !pwfeedback” trong tệp cấu hình sudoers để ngăn chặn việc khai thác
Vennix đã báo cáo lỗ hổng cho bộ phận bảo trì Sudo và cuối tuần trước đã có phiên bản sudo 1.8.31 vá lỗi này.
Apple cũng đã phát hành bản cập nhật bản vá cho macOS High Sierra 10.13.6, macOS Mojave 10.14.6, macOS Catalina 10.15.2 vào tuần trước.

Theo: The Hacker News

Đăng ký liền tay Nhận Ngay Bài Mới

Subscribe ngay

Cám ơn bạn đã đăng ký !

Lỗi đăng ký !

Add Comment

Click here to post a comment

Đăng ký liền tay
Nhận Ngay Bài Mới

Subscribe ngay

Cám ơn bạn đã đăng ký !

Lỗi đăng ký !